unit chet1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button2: TButton;
    Label5: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  n,m:longint;
implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var flag:byte;
begin
  n:=strtoint(edit1.Text);
  randomize;
  m:=random(100);
  flag:=0;
  label4.caption:=inttostr(n);
  label2.Caption:=inttostr(m);
  if (n/2=int(n/2)) and (m/2=int(m/2)) then begin
    showmessage('Выиграл пользователь ');flag:=1;
  end;
  if (n/2<>int(n/2)) and (m/2<>int(m/2)) then begin
    showmessage('Выиграл пользователь ');flag:=1;
  end;
  if flag=0 then showmessage('Выиграл компьютер ');
  edit1.Text:='';
  form1.ActiveControl:=edit1;
end;
procedure TForm1.Button2Click(Sender: TObject);
begin
  halt;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  showmessage(' Компьютер загадывает число. Пользователь тоже загадывает число. Если оба числа чётные или аба нечетные, то выиграл пользователь, иначе выиграл компьютер ');
end;

end.
